Bug 152453 - textproc/urlview port should install gecko.sh optionally
Summary: textproc/urlview port should install gecko.sh optionally
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-21 17:20 UTC by Stefan Thurner
Modified: 2011-08-18 16:50 UTC (History)
0 users

See Also:


Attachments
urlview.patch (6.04 KB, patch)
2011-07-30 14:28 UTC, Anton Shterenlikht
no flags Details | Diff
urlview.patch (6.04 KB, patch)
2011-07-30 14:18 UTC, Anton Shterenlikht
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Thurner 2010-11-21 17:20:10 UTC
urlview port installs url_handler.sh and gecko.sh.

Normal operation of url_handler.sh is to try different browsers until it finds one installed. By default it tries for http 1) gecko.sh, 2) lynx, 3) w3m and 4) links. For example if only links is installed on the system it should test 1), 2) and 3) without success and start up links browser.

The problem is that url_handler.sh always finds and starts gecko.sh regardless if firefox (or any other mozilla browser) is installed or not. The other browsers are never tested.

Fix: 

gecko.sh should be installed conditionally. Either if WITH_FIREFOX or WITH_SEAMONKEY is defined when installing urlview.
How-To-Repeat: Install mutt, urlview and lynx. Make sure no firefox or other mozilla browser is installed on the system. Use urlview. Lynx should be started but nothing happens.
Comment 1 Anton Shterenlikht 2011-07-26 18:57:36 UTC
I became maintainer of this port recently.
Only now saw this pr. Is this still an issue?

On my box I start urlview from mutt and
always end up in lynx, even though I have
firefox installed. Is this not what you get?

-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 2 Anton Shterenlikht 2011-07-30 14:18:15 UTC
Please try attached patch, thanks to Test Rat <ttsestt@gmail.com>.

-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 3 Anton Shterenlikht 2011-07-30 14:28:52 UTC
Please try attached patch, thanks to Test Rat <ttsestt@gmail.com>.

-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 4 Chris Rees freebsd_committer 2011-08-15 15:19:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 5 dfilter service freebsd_committer 2011-08-15 16:19:48 UTC
crees       2011-08-15 15:19:39 UTC

  FreeBSD ports repository

  Modified files:
    textproc/urlview     Makefile 
  Added files:
    textproc/urlview/files patch-sample.urlview 
  Removed files:
    textproc/urlview     pkg-plist 
    textproc/urlview/files gecko.sh.in patch-url_handler.sh 
  Log:
  Handle alternative browsers correctly.
  
  PR:             ports/152453
  Submitted by:   Stefan Thurner <thurners@nicsys.de> Test Rat <ttsestt@gmail.com>
  Approved by:    Anton Shterenlikht <mexas@bristol.ac.uk> (maintainer)
  
  Revision  Changes    Path
  1.34      +9 -23     ports/textproc/urlview/Makefile
  1.2       +0 -5      ports/textproc/urlview/files/gecko.sh.in (dead)
  1.1       +25 -0     ports/textproc/urlview/files/patch-sample.urlview (new)
  1.3       +0 -35     ports/textproc/urlview/files/patch-url_handler.sh (dead)
  1.6       +0 -4      ports/textproc/urlview/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2011-08-15 16:19:49 UTC
State Changed
From-To: open->closed

cd ..
Comment 7 Chris Rees 2011-08-15 16:21:09 UTC
Committed. Thanks!

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 8 dfilter service freebsd_committer 2011-08-18 16:44:55 UTC
crees       2011-08-18 15:44:42 UTC

  FreeBSD ports repository

  Modified files:
    www/goose            Makefile 
  Log:
  Fix urlview dependency and stop using url_handler.sh
  
  PR:             ports/152453
  Pointyhat to:   crees
  
  Revision  Changes    Path
  1.5       +7 -5      ports/www/goose/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"